%define upstream_name    Dist-Zilla-Plugin-Test-UnusedVars
%define upstream_version 2.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Release tests for unused variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-UnusedVarsTests < 2.0.0
Provides:   perl-Dist-Zilla-Plugin-UnusedVarsTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following file:

  xt/release/unused-vars.t - a standard Test::Vars test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Aug 29 2023 tv <tv> 2.1.1-1.mga10
+ Revision: 1980961
- update to 2.001001

* Sun Mar 20 2022 umeabot <umeabot> 2.0.7-6.mga9
+ Revision: 1803424
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.7-5.mga8
+ Revision: 1494408
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.0.7-4.mga7
+ Revision: 1267697
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.0.7-3.mga6
+ Revision: 1026638
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.0.7-2.mga6
+ Revision: 966784
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 2.0.7-1.mga6
+ Revision: 846800
- update to 2.000007
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.6-2.mga5
+ Revision: 684538
- Mageia 5 Mass Rebuild

* Sat May 17 2014 sander85 <sander85> 2.0.6-1.mga5
+ Revision: 623397
- update to 2.000006

* Sat Oct 19 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 531466
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 2.0.5-1.mga4
+ Revision: 463501
- update to 2.000005

* Fri Jun 07 2013 jquelin <jquelin> 2.0.4-1.mga4
+ Revision: 439182
- update to 2.000004

* Sun Jan 13 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 366532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 02 2012 jquelin <jquelin> 2.0.3-1.mga3
+ Revision: 266710
- update to 2.000003

* Tue Jun 05 2012 jquelin <jquelin> 2.0.2-1.mga3
+ Revision: 254912
- update to v2.0.2

* Mon Sep 26 2011 jquelin <jquelin> 2.0.1-1.mga2
+ Revision: 148585
- update to 2.0.1
- dist renamed upstream

* Wed Jan 26 2011 jquelin <jquelin> 1.100.860-1.mga1
+ Revision: 40626
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-UnusedVarsTests

